<%@ Page Language="C#" AutoEventWireup="true" CodeFile="register.aspx.cs" Inherits="register" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8" />
    <title>技术大会注册系统</title>
    <style type="text/css">
*{overflow:hidden; font-size:9pt;}
body {
	margin-left: 0px;
	margin-top: 0px;
	margin-right: 0px;
	margin-bottom: 0px;
	background-image: url(images/bg.gif);
	background-repeat: repeat-x;
}
        .style2
        {
            width: 25px;
        }
        .style3
        {
            width: 50px;
        }
        .style4
        {
            width: 95px;
            height: 34px;
        }
</style>
    <script src="js/jquery-1.4.2.min.js" type="text/javascript"></script>
    <script src="js/checkmobile.js" type="text/javascript"></script>
<script type="text/javascript">
    function checkallinfo() {
        if ($("#name").val() == "") {
            $("#verificationCodeTips").html('真实姓名不能为空');
            $("#verificationCodeTips").css("color", "red");
            $("#name").focus();
            return false;
        } else { $("#verificationCodeTips").html(''); }
            var _oForm = document.forms[0];
            _oReg = /^[0-9]{11,11}$/,
						_oRegErr = /(^[\.\-_])|([\.\-_]$)/,
						_oRegErr2 = /[\.\-_][\.\-_]/,
                        _oRegErr3 = /^((\(\d{2,3}\))|(\d{3}\-))?1[3,4,8,5]{1}\d{9}$/,
						_bInvalid = false,
						_sMsg = "";
            if (_oForm.mobile.value == "") {
                _bInvalid = true;
                _sMsg = "请填写手机号";
            }
            else if (_oForm.mobile.value.length < 11) {
                _bInvalid = true;
                _sMsg = "手机号长度不对";
            }
            else if (!_oReg.test(_oForm.mobile.value)) {
                _bInvalid = true;
                _sMsg = "手机号格式错误";
            }
            else if (_oRegErr.test(_oForm.mobile.value)) {
                _bInvalid = true;
                _sMsg = "手机号格式错误";
            }
            else if (_oRegErr2.test(_oForm.mobile.value)) {
                _bInvalid = true;
                _sMsg = "手机号格式错误";
            }
            else if (!_oRegErr3.test(_oForm.mobile.value)) {
                _bInvalid = true;
                _sMsg = "手机号格式错误";
            }
            if (_bInvalid) {
                $("#msg_tel_err").html(_sMsg);
                $("#msg_tel_err").css("display", "");
                $("#msg_tel_err").css("color", "red");
                $("#msg_tel_ok").css("display", "none");
                $("#mobile").focus();
                return false;
            } else { $("#msg_tel_err").html(''); }

            if ($("#email").val() == "") {
                $("#spanemail").html('邮箱不能为空');
                $("#spanemail").css("color", "red");
                $("#email").focus();
                return false;
            } 
          else  if (!/^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/.test($("#email").val())) {
                $("#spanemail").html('邮箱格式不正确');
                $("#spanemail").css("color", "red");
                $("#email").focus();
                return false;
            } else { $("#spanemail").html(''); }
            if ($("#company").val() == "") {
                $("#spancompany").html("公司名称不能为空");
                $("#spancompany").css("color", "red");
                $("#company").focus();
                return false;
            } else { $("#spancompany").html(""); }
        return true;
  }</script>
</head>
<body>
    <form id="form1" runat="server">
<div><table width="100%"  height="100%" border="0" cellspacing="0" cellpadding="0"><tr>
    <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="561" style="background:url(images/lbg.gif)"><table width="940" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td height="238" style="background:url(images/login01.jpg)">&nbsp;</td>
          </tr>
          <tr>
            <td height="190"><table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="208" height="190" style="background:url(images/login02.jpg)">&nbsp;</td>
                <td width="518" style="background:url(images/login03.jpg)"><table border="0" 
                        align="center" cellpadding="0" cellspacing="0" style="width: 500px">
                     <tr>
                    <td height="30" class="style2"><img src="images/user.gif" width="28" height="32"></td>
                    <td height="30" class="style3">姓名</td>
                    <td height="30"><input type="text" name="name" id="name" onkeyup="value=value.replace(/[^\u4E00-\u9FA5]/g,'')" maxlength="8" style="width:164px; height:24px; line-height:24px; background:url(images/inputbg.gif) repeat-x; border:solid 1px #d1d1d1; font-size:12pt;  "> <span class="m1" id="verificationCodeTips">请输入真实姓名</span></td>
                  </tr>
                  <tr>
                    <td height="30" class="style2"><img src="images/user.gif" width="30" height="30"></td>
                    <td height="30" class="style3">手机号</td>
                    <td width="242" height="30"><input type="text" name="moblie" id="mobile" maxlength="11" onkeyup="value=value.replace(/[^\d]/g,'')"  style="width:164px; height:24px; line-height:24px; background:url(images/inputbg.gif) repeat-x; border:solid 1px #d1d1d1; font-size:12pt; font-family:Verdana, Geneva, sans-serif;" value="<%=strmoblie %>"> <span  id="msg_tel_err">请输入真实的手机号 </span></td>
                  </tr>
                  <tr>
                    <td height="30" class="style2"><img src="images/email.gif" width="28" height="32"></td>
                    <td height="30" class="style3">邮箱</td>
                    <td height="30"><input type="text" name="email" id="email" style="width:164px; height:24px; line-height:24px; background:url(images/inputbg.gif) repeat-x; border:solid 1px #d1d1d1; font-size:12pt; "><span class="m1" id="spanemail">请输入常用邮箱</span></td>
                  </tr>
                  <tr>
                    <td height="30" class="style2"><img src="images/password.gif" width="28" height="32"></td>
                    <td height="30" class="style3">公司名称</td>
                    <td height="30"><input type="text" name="company" id="company" style="width:264px; height:24px; line-height:24px; background:url(images/inputbg.gif) repeat-x; border:solid 1px #d1d1d1; font-size:12pt; "><span class="m1" id="spancompany">请输入公司名称</span></td>
                  </tr>
           
                  <tr>
                    <td height="30" class="style2">&nbsp;</td>
                    <td height="30" class="style3">&nbsp;</td>
                    <td height="30"><asp:ImageButton ID="bt_start" runat="server" ImageUrl="~/images/reg.gif" 
                            onclick="bt_start_Click"   OnClientClick=" return checkallinfo();"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                      <a href="Default.aspx"><img alt="返回签到首页" class="style4" src="images/singin.gif" border="0" /></a></td>
                  </tr>
                </table></td>
                <td width="214" style="background:url(images/login04.jpg)" >&nbsp;</td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td height="133" style="background:url(images/login05.jpg)">
                <input id="Text1" type="text" runat="Server"></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>
    </div>
    </form>
</body>
</html>
